org.eclipse.actf.util.win32.comclutch

## Class RefBoolean

- java.lang.Object
- - org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl
  - - org.eclipse.actf.util.win32.comclutch.RefContainer
    - - org.eclipse.actf.util.win32.comclutch.RefBoolean

All Implemented Interfaces:
  IResource

    public class RefBoolean
    extends RefContainer

See Also:
  `RefContainer`

### Constructor Summary

Constructors
Constructor and Description
`RefBoolean(ResourceManager rm)`

### Method Summary

Methods
`boolean` `getValue()`
`void` `setValue(boolean value)`

### Methods inherited from class org.eclipse.actf.util.win32.comclutch.RefContainer

`getPtr, release`

### Methods inherited from class org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl

`addResource, equals, findInResource, getResourceManager, hashCode, isPermanent, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RefBoolean

    public RefBoolean(ResourceManager rm)

### Method Detail

#### getValue

    public boolean getValue()

#### setValue

    public void setValue(boolean value)